org.springframework.jdbc.config

## Class JdbcNamespaceHandler

- java.lang.Object
- - org.springframework.beans.factory.xml.NamespaceHandlerSupport
  - - org.springframework.jdbc.config.JdbcNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class JdbcNamespaceHandler
    extends NamespaceHandlerSupport

`NamespaceHandler` for JDBC configuration namespace.

Author:
  Oliver Gierke, Dave Syer

### Constructor Summary

Constructors
Constructor and Description
`JdbcNamespaceHandler()`

### Method Summary

Methods
`void` `init()` Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcNamespaceHandler

    public JdbcNamespaceHandler()

### Method Detail

#### init

    public void init()

Description copied from interface: `NamespaceHandler`
Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

See Also:
  `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`